:root {
  --fcof-mini-container-bg: rgb(189 224 229 / 40%);
  --fcof-mini-pb-step-color: #168E8E;
  --fcof-mini-pb-step-bg-color: #BDE0E5;
  --fcof-mini-pb-step-bg-color-active: #168E8E;
  --fcof-mini-pb-label-color: #FFF;
  --fcof-mini-pb-line-color: #FFF;
  --fcof-mini-pb-line-color-active: #168E8E;
  --fcof-mini-label-color: #FFF;
  --fcof-mini-next-button-color:#FFF;
  --fcof-mini-next-button-bg-color:#387E86;
  --fcof-mini-back-button-color:#FFF;
  --fcof-mini-success-message-color:#FFF;
  --fcof-mini-error-color:#F4E103;
}

#fcof-multi-step-form {
  flex: 1;
  display: flex;
  flex-direction: column;
  max-width: 600px;
  width: 100%;
}

.fcof-form-parent-container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.fcof-form-container {
  background: var(--fcof-mini-container-bg);
  padding: 24px 24px;
  border-radius: 20px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
  width: 60%;
  /* overflow-x: hidden; */
  box-sizing: border-box;
  min-height: 330px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  font-family: Poppins, sans-serif;
}

.fcof-form-header {
  text-align: center;
  font-size: 22px;
  margin-top: 0px;
  margin-bottom: 8px;
}

.fcof-form-subheader {
  text-align: center;
  font-size: 14px;
  color: #444;
  margin-bottom: 20px;
}

.fcof-progress {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 30px;
  position: relative;
  max-width: 600px;
  width: 100%;
}

.fcof-progress-step {
  flex: 1;
  text-align: center;
  font-size: 14x;
  position: relative;
  z-index: 1;
}

.fcof-progress-step span {
  display: inline-block;
  width: 32px;
  height: 32px;
  line-height: 28px;
  border-radius: 50%;
  border: 3px solid #FFF;
  color: var(--fcof-mini-pb-step-color);
  background: var(--fcof-mini-pb-step-bg-color);
  margin-bottom: 5px;
}

.fcof-progress-step div {
  color: var(--fcof-mini-pb-label-color);
}

.fcof-progress-line {
  position: absolute;
  top: 14px;
  height: 3px;
  background: var(--fcof-mini-pb-line-color);
  z-index: 0;
  width: 33%;
}

.fcof-progress-line.line1 {
  left: 16.6%;
}

.fcof-progress-line.line2 {
  left: 49.9%;
}

.fcof-progress-line.fill {
  background: var(--fcof-mini-pb-line-color-active);
}

.fcof-progress-line.semi-fill {
  background: linear-gradient(to right, var(--fcof-mini-pb-line-color-active) 50%, var(--fcof-mini-pb-line-color) 50%);
}

.fcof-progress-step.active span {
  border-color: var(--fcof-mini-pb-step-bg-color-active);
}

.fcof-progress-step.active div {
  font-weight: bold;
}

.fcof-form-step {
  display: none;
  flex: 1;
  flex-direction: column;
  justify-content: center;
}

.fcof-form-step.active {
  display: flex;
  z-index: 999;
}

.fcof-form-step label {
  display: block;
  text-align: center;
  margin-bottom: 12px;
  font-size: 18px;
  color: var(--fcof-mini-label-color);
}

.fcof-form-step .choices {
  margin-bottom: 16px;
}

.fcof-form-step input,
.fcof-form-step select {
  width: 100%;
  padding: 12px;
  margin-bottom: 16px;
  border: 1px solid #ccc;
  border-radius: 6px;
  font-size: 1rem;
  box-sizing: border-box;
}

.fcof-form-step input.invalid {
  border: solid 3px var(--fcof-mini-error-color);
}

.fcof-form-step .choices__inner.invalid {
  border: solid 3px var(--fcof-mini-error-color);
}

.fcof-error-message {
  color: var(--fcof-mini-error-color);
  font-size: 13px;
  font-weight: bold;
  margin-top: -10px;
  margin-bottom: 10px;
  display: none;
  text-align: left;
}

.fcof-form-step .choices {
  width: 100%;
}

.fcof-form-step .choices__inner {
  min-height: 49px;
  border-radius: 6px;
  border: 1px solid #ccc;
  background-color: white;
  text-align: center;
  /* max-width: calc(100% - 18px); */
  transition: border-color 0.3s ease;
}

.fcof-form-step .choices__list--dropdown {
  border: 1px solid #ccc;
  border-radius: 0 0 6px 6px;
  box-sizing: border-box;
  text-align: center;
}

.fcof-form-step .choices[data-type*="select-one"]:after {
  border-color: #333 transparent transparent transparent;
  top: 50%;
}

.fcof-form-step .choices[data-type*="select-one"].is-open:after {
  border-color: transparent transparent #333 transparent;
}

.fcof-row {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.fcof-row>div {
  flex: 1;
  min-width: calc(50% - 5px);
}

.fcof-form-footer {
  position: relative;
  margin-top: auto;
}

.fcof-form-footer button {
  width: 100%;
  background: var(--fcof-mini-next-button-bg-color);
  color: var(--fcof-mini-next-button-color);
  padding: 16px;
  font-size: 16px;
  font-weight: bold;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.2s;
}

.fcof-form-footer button:hover {
  background-color: var(--fcof-mini-next-button-bg-color);
}

.fcof-form-footer .prev-btn {
  display: block;
  visibility: hidden;
  text-align: center;
  text-decoration: underline;
  margin-top: 10px;
  background: none;
  border: none;
  color: var(--fcof-mini-back-button-color);
  cursor: pointer;
  padding: 0;
  font-size: 14px;
  font-weight: normal;
  width: 100%;
}

.fcof-form-footer .prev-btn:hover {
  text-decoration: none;
  background: none;
}

.fcof-footer-hints {
  display: flex;
  justify-content: space-around;
  font-size: 12px;
  margin-top: 15px;
  color: #444;
}

.fcof-success-message {
  text-align: center;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  color: var(--fcof-mini-success-message-color);
}

.fcof-success-message h3 {
  font-size: 24px;
  margin-bottom: 30px;
  color: var(--fcof-mini-success-message-color);
}

.fcof-success-message p {
  margin-bottom: 20px;
  font-size: 18px;
}

.fcof-success-icon {
  font-size: 60px;
  margin-bottom: 20px;
}

.fcof-tos {
  margin: 0;
}

.fcof-tos a {
  text-decoration: underline !important;
  color: #0000FF;
}

.fcof-tos label {
  text-align: justify;
  font-size: 12px;
  font-weight: normal;
  line-height: 1.4;
}

@media only screen and (max-width: 768px) {
  .fcof-form-container {
    width: 90%;
  }
}

@media only screen and (max-width: 576px) {
  .fcof-form-container {
    width: 100%;
  }
}